<Directory /srv/pla/>
  Options		FollowSymlinks
  AllowOverride		None
  Require		all granted
</Directory>

<Directory /srv/fusiondirectory>
  # include /etc/fusiondirectory/fusiondirectory.secrets

  AllowOverride			None
  Require			all granted
  AddType application/wasm	.wasm
</Directory> 

<VirtualHost 5.101.171.215:80 [2a01:a500:2981:1::d7]:80>
  ServerName		core.slackware.uk.net

  SetEnvIf		REQUEST_URI	^/robots\.txt$		no_log
  SetEnvIf		REQUEST_URI	^/favicon\.ico$		no_log
  SetEnvIf		REQUEST_URI	^/\.well-known/.*$	no_log

  RedirectMatch		403		^/(?!(\.well-known|httpd-errordocs)/)(.*)
</VirtualHost>

<IfModule ssl_module>
  <VirtualHost 5.101.171.215:25443 [2a01:a500:2981:1::d7]:25443>
    ServerName			core.slackware.uk.net

    SSLEngine			On
    SSLCertificateFile		/etc/certificates/core.slackware.uk.net_cert.pem
    SSLCertificateKeyFile	/etc/certificates/core.slackware.uk.net_key.pem
    SSLCertificateChainFile	/etc/certificates/core.slackware.uk.net_chain.pem

    SetEnvIf			REQUEST_URI	^/robots\.txt$		no_log
    SetEnvIf			REQUEST_URI	^/favicon\.ico$		no_log

    ScriptAlias			/cgi-bin/	/data/sites/core.slackware.uk.net/cgi-bin/

    DocumentRoot		/data/sites/core.slackware.uk.net/html

    Alias			/fd		/srv/fusiondirectory/html
    Alias			/pla		/srv/pla
  </VirtualHost>
</IfModule>
